Package org.eclipse.emf.compare

# Enum Class DifferenceKind

java.lang.Object
java.lang.Enum<DifferenceKind>
org.eclipse.emf.compare.DifferenceKind

All Implemented Interfaces:
  `Serializable`, `Comparable<DifferenceKind>`, `java.lang.constant.Constable`, `Enumerator`

public enum DifferenceKind extends Enum<DifferenceKind> implements Enumerator
A representation of the literals of the enumeration 'Difference Kind', and utility methods for working with them. The differences detected through EMF Compare can be of 4 general types.

- ADD represent addition of model element or feature values,
- DELETE represent suppression of model element or feature values,
- CHANGE represent the modification of a feature value,
- MOVE will be used for difference on the containment feature of a model element, or differences on the order of a feature's values.

See Also:
  - `ComparePackage.getDifferenceKind()`
Generated:

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
The 'ADD' literal object.
`CHANGE`
The 'CHANGE' literal object.
`DELETE`
The 'DELETE' literal object.
`MOVE`
The 'MOVE' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADD_VALUE`
The 'ADD' literal value.
`static final int`
`CHANGE_VALUE`
The 'CHANGE' literal value.
`static final String`
`copyright`
`static final int`
`DELETE_VALUE`
The 'DELETE' literal value.
`static final int`
`MOVE_VALUE`
The 'MOVE' literal value.
`static final List<DifferenceKind>`
`VALUES`
A public read-only list of all the 'Difference Kind' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static DifferenceKind`
`get(int value)`
Returns the 'Difference Kind' literal with the specified integer value.
`static DifferenceKind`
`get(String literal)`
Returns the 'Difference Kind' literal with the specified literal value.
`static DifferenceKind`
`getByName(String name)`
Returns the 'Difference Kind' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static DifferenceKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DifferenceKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final DifferenceKind ADD
The 'ADD' literal object.

See Also:
  - `ADD_VALUE`
Generated:

### DELETE

public static final DifferenceKind DELETE
The 'DELETE' literal object.

See Also:
  - `DELETE_VALUE`
Generated:

### CHANGE

public static final DifferenceKind CHANGE
The 'CHANGE' literal object.

See Also:
  - `CHANGE_VALUE`
Generated:

### MOVE

public static final DifferenceKind MOVE
The 'MOVE' literal object.

See Also:
  - `MOVE_VALUE`
Generated:

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### ADD_VALUE

public static final int ADD_VALUE
The 'ADD' literal value. Represents the addition of model elements or feature values.

See Also:
  - `ADD`
  - Constant Field Values
Generated:

### DELETE_VALUE

public static final int DELETE_VALUE
The 'DELETE' literal value. Represents the suppression of model elements or feature values.

See Also:
  - `DELETE`
  - Constant Field Values
Generated:

### CHANGE_VALUE

public static final int CHANGE_VALUE
The 'CHANGE' literal value. Represents the modification of a feature value.

See Also:
  - `CHANGE`
  - Constant Field Values
Generated:

### MOVE_VALUE

public static final int MOVE_VALUE
The 'MOVE' literal value. Describes a difference on the containment feature of a model element, or differences on the order of a feature's values.

See Also:
  - `MOVE`
  - Constant Field Values
Generated:

### VALUES

public static final List<DifferenceKind> VALUES
A public read-only list of all the 'Difference Kind' enumerators.

Generated:

## Method Details

### values

public static DifferenceKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DifferenceKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static DifferenceKind get(String literal)
Returns the 'Difference Kind' literal with the specified literal value.

Generated:

### getByName

public static DifferenceKind getByName(String name)
Returns the 'Difference Kind' literal with the specified name.

Generated:

### get

public static DifferenceKind get(int value)
Returns the 'Difference Kind' literal with the specified integer value.

Generated:

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated:

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated:

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated:

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DifferenceKind>`
Generated: